Bug 124134 - X-org not entirely aware of screen resize when using resize and rotate applet.
X-org not entirely aware of screen resize when using resize and rotate applet.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-24 08:42 EDT by Ian Chapman
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-22 10:20:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X Configuration Attached (2.75 KB, text/plain)
2004-05-28 05:07 EDT, Ian Chapman
no flags Details

  None (edit)
Description Ian Chapman 2004-05-24 08:42:58 EDT
From Bugzilla Helper:
User-Agent: Opera/7.50 (X11; Linux i686; U)  [en]

Description of problem:
Apologies for the wordiness of this report, but it's a difficult 
problem to describe.

When a user chooses a display mode using the "resize & rotate" applet 
with KDE which differs from X-orgs default mode the following problem 
occurs when they logout:

At the login prompt (GDM) it reverts back to the default display mode 
which is correct, however the mouse still seems to think it's 
configured for the user's display mode. In other words when I move 
the mouse over a widget it's not highlighted and I can't click on it, 
I have to move it so far to the right of the widget, depending on the 
resolution the user chose.

Example
-------

Say the default resolution is 1600 x 1200.
User chooses 1280 x 1024 when logged in and logs out.
X-org reverts back to 1600 x 1200 however the mouse still behaves as 
if it's on a 1280 x 1024 screen so it's mis-aligned with everything 
on screen.



Version-Release number of selected component (if applicable):
xorg-x11-6.7.0-2

How reproducible:
Always

Steps to Reproduce:
1. Configure X-org with a default resolution (eg 1600x1200)
2. Log into KDE as an ordinary user.
3. Use the "Screen Resize & Rotate program" (K Menu -> System Tools 
-> Resize & Rotate)
4. Choose a lower resolution (eg 1280 x 1024)
5. Log out and at the GDM screen try clicking on any widgets.
    

Additional info:

I'm using a vanilla install of Fedora Core 2 with the latest updates 
applied at the time of writing.
Comment 1 Ian Chapman 2004-05-28 05:07:39 EDT
Created attachment 100654 [details]
X Configuration Attached
Comment 3 Mike A. Harris 2004-12-22 10:20:58 EST
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.